---
title: Get ApiMetrics
slug: api-documentation/get-apimetrics
docTags: 
createdAt: 2026-08-27T16:53:28.782Z
---

{
  "id": "YFiLX-yyHjLPHVUVY0Uh5",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "//v1/api-metrics/metrics/timeserie-ratio",
    "servers": [
      {
        "url": "//v1/api-metrics/metrics/timeserie-ratio"
      },
      {
        "url": "https://api.upstartcommerce.com//v1/api-metrics/metrics/timeserie-ratio"
      }
    ],
    "name": "Get ApiMetrics",
    "description": "<p>This endpoint returns ApiMetrics.</p>\n<p>Authorized permissions:</p>\n<ul>\n<li><code>api-metric.read</code></li>\n</ul>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        },
        {
          "kind": "required",
          "name": "x-upstart-tenant",
          "type": "string",
          "description": "Tenant identifier associated with the site this call is for."
        }
      ],
      "queryParameters": [
        {
          "kind": "required",
          "name": "from",
          "type": "string<date-time>",
          "description": "",
          "format": "date-time"
        },
        {
          "kind": "required",
          "name": "to",
          "type": "string<date-time>",
          "description": "",
          "format": "date-time"
        },
        {
          "kind": "optional",
          "name": "domain",
          "type": "array",
          "description": "",
          "schema": [],
          "itemType": "string",
          "customType": "string[]"
        },
        {
          "kind": "optional",
          "name": "group",
          "type": "array",
          "description": "",
          "customType": "AggregationGroup[]",
          "schema": [],
          "modelRef": "#/components/schemas/AggregationGroup"
        },
        {
          "kind": "optional",
          "name": "period",
          "type": "object",
          "description": "",
          "customType": "AggregationPeriod",
          "schema": [],
          "modelRef": "#/components/schemas/AggregationPeriod"
        }
      ],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "NoChannelPortalAccess",
          "name": "NoChannelPortalAccess",
          "kind": "optional",
          "type": "http",
          "description": "<p>This authentication is required for clients to interact with any of the management APIs. Similar to 'LoggedIn', it indicates that the user has actually logged into the system, but in this case with a management role.</p>",
          "scheme": "bearer"
        },
        {
          "id": "ApiKey",
          "name": "X-UpStart-API-Key",
          "kind": "optional",
          "type": "apiKey",
          "in": "header"
        },
        {
          "id": "Session",
          "name": "X-UpStart-Session-Id",
          "kind": "optional",
          "type": "apiKey",
          "in": "header"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "<p>Success–api-metric details returned.</p>",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "TimeSerieValues",
            "schema": [
              {
                "name": "times",
                "kind": "required",
                "type": "array",
                "description": "",
                "example": "",
                "itemType": "string",
                "customType": "string[]",
                "itemExample": "",
                "itemDefault": ""
              },
              {
                "name": "series",
                "kind": "required",
                "type": "array",
                "description": "",
                "modelRef": "#/components/schemas/SerieValues",
                "customType": "SerieValues[]",
                "schema": [
                  {
                    "name": "groups",
                    "kind": "required",
                    "type": "map",
                    "description": "",
                    "example": "",
                    "customType": "map<string, string>",
                    "schema": []
                  },
                  {
                    "name": "values",
                    "kind": "required",
                    "type": "array",
                    "description": "",
                    "example": "",
                    "itemType": "number",
                    "customType": "number[]",
                    "itemExample": "",
                    "itemDefault": ""
                  }
                ]
              }
            ],
            "modelRef": "#/components/schemas/TimeSerieValues",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "400",
        "description": "The request contained information that the server was unable to process. Appropriate errors are provided in the response body.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ValidationErrorResponse",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ValidationErrorResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ErrorResponse",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ErrorResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "500",
        "description": "Internal server error.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ErrorResponse",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ErrorResponse",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "MaL56uHlAjMjRS2vOg1a1",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url '//v1/api-metrics/metrics/timeserie-ratio?from=string%3Cdate-time%3E&to=string%3Cdate-time%3E&period=object' \\\n     --header 'accept: application/json' \\\n     --header 'x-upstart-tenant: string'"
        },
        {
          "id": "4sz-qw_ZHVX-n0t-GkL7o",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\nmyHeaders.append(\"x-upstart-tenant\", \"string\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"//v1/api-metrics/metrics/timeserie-ratio?from=string<date-time>&to=string<date-time>&period=object\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "d1jCJHAOtfIBSC4Pk9dvh",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"//v1/api-metrics/metrics/timeserie-ratio?from=string<date-time>&to=string<date-time>&period=object\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json',\n   'x-upstart-tenant': 'string'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "MaL56uHlAjMjRS2vOg1a1"
    },
    "results": {
      "languages": [
        {
          "id": "xqWQOwBR6BQGQ5b8ayuqP",
          "language": "200",
          "code": "// Success–api-metric details returned.\n{\n  \"times\": [\n    \"\"\n  ],\n  \"series\": [\n    {\n      \"groups\": \"\",\n      \"values\": [\n        0\n      ]\n    }\n  ]\n}"
        },
        {
          "id": "VEWGiUbn1flc8jddzXvuU",
          "language": "400",
          "code": "// The request contained information that the server was unable to process. Appropriate errors are provided in the response body.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\",\n  \"reason\": \"\"\n}"
        },
        {
          "id": "G74ltxjpYd386lO3c19Ae",
          "language": "401",
          "code": "// The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\",\n  \"reason\": \"\"\n}"
        },
        {
          "id": "NNuTuzQmRV_V99IAIrUdV",
          "language": "500",
          "code": "// Internal server error.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\",\n  \"reason\": \"\"\n}"
        }
      ],
      "selectedLanguageId": "xqWQOwBR6BQGQ5b8ayuqP"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}